Subject: Re: [PATCH] powerpc: rework 4xx PTE access and TLB miss

From: Sean MacLennan <[email-masked]>
Date: Tue, 8 Jul 2008 20:53:15 -0400

On Tue, 08 Jul 2008 15:54:40 +1000
"Benjamin Herrenschmidt" <[email-masked]> wrote:

> This is some preliminary work to improve TLB management on SW loaded
> TLB powerpc platforms. This introduce support for non-atomic PTE
> operations in pgtable-ppc32.h and removes write back to the PTE from
> the TLB miss handlers. In addition, the DSI interrupt code no longer
> tries to fixup write permission, this is left to generic code, and
> _PAGE_HWWRITE is gone.

Ok, this version booted for me and passed some very rudimentary
regression tests.

Cheers,
   Sean